## GOCalendarButton

GOCalendarButton

## Synopsis

                        GOCalendarButton;
    GtkCalendar *       go_calendar_button_get_calendar     (GOCalendarButton *calb);
    gboolean            go_calendar_button_get_date         (GOCalendarButton *calb,
                                                             GDate *date);
    GtkWidget *         go_calendar_button_new              (void);
    void                go_calendar_button_set_date         (GOCalendarButton *calb,
                                                             GDate const *date);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBox
                               +----GOComboBox
                                     +----GOCalendarButton

## Implemented Interfaces

GOCalendarButton implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Signals

      "changed"                                        : Run First

## Description

## Details

### GOCalendarButton

    typedef struct _GOCalendarButton GOCalendarButton;

### go_calendar_button_get_calendar ()

    GtkCalendar *       go_calendar_button_get_calendar     (GOCalendarButton *calb);

`calb` : | GOCalendarButton
Returns : | the embedded calendar. [transfer none]

### go_calendar_button_get_date ()

    gboolean            go_calendar_button_get_date         (GOCalendarButton *calb,
                                                             GDate *date);

### go_calendar_button_new ()

    GtkWidget *         go_calendar_button_new              (void);

### go_calendar_button_set_date ()

    void                go_calendar_button_set_date         (GOCalendarButton *calb,
                                                             GDate const *date);

## Signal Details

### The `"changed"` signal

    void                user_function                      (GOCalendarButton *gocalendarbutton,
                                                            gpointer          user_data)             : Run First

`gocalendarbutton` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.